FreeBSD update for libfetch



Published: 2021-08-25
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2021-36159
CWE-ID CWE-125
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
FreeBSD
Operating systems & Components / Operating system

Vendor FreeBSD Foundation

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Out-of-bounds read

EUVDB-ID: #VU56093

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-36159

CWE-ID: CWE-125 - Out-of-bounds read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition when handling numeric strings for the FTP and HTTP protocols in strtol. A remote attacker can pass specially crafted input to the application, trigger out-of-bounds read error and read contents of memory on the system or perform a denial of service attack.

Mitigation

Install update from vendor's website.

Vulnerable software versions

FreeBSD: 11.0 - 13.0


CPE2.3 External links

http://www.freebsd.org/security/advisories/FreeBSD-SA-21:15.libfetch.asc

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###